{% if distributions|length > 0 or show_controls is not empty %}
  <div class="row mx-1 mb-3">
    <h3 class="dataset__title mt-4">{{ 'Distributions'|t }} ({{ distributions|length }})</h3>
    <table class="dataset__table table">
      <tbody>
      {% for distribution in distributions %}
        <tr itemprop="distribution" itemscope itemtype="https://schema.org/DataDownload">
          <td class="w-75">
            <span itemprop="name" class="font-weight-bold">{{ distribution.name }}</span>

            {% if distribution.description %}
              <p class="font-weight-normal distribution-description {% if distribution.description == dataset_description %} sr-only {% endif %}"
                 itemprop="text">
                {{ distribution.description|nl2br }}
              </p>
            {% endif %}

            <div class="mt-1">
              <span class="badge badge-distribution mr-2 p-2" itemprop="encodingFormat" data-toggle="tooltip"
                    data-placement="top" title="{{ 'The fileformat of the distribution'|t }}">
                {{ distribution.format|identifier_to_label('MDR:Filetype') }}
              </span>

              <span class="d-none" itemprop="license">{{ distribution.license_id }}</span>

              {% if distribution.rights is not empty %}
                <span class="badge badge-distribution p-2" data-toggle="tooltip" data-placement="top" title="{{ distribution.rights }}">
                  {{ distribution.license_id|identifier_to_label('DONL:License') }} *
                </span>
              {% else %}
                <span class="badge badge-distribution p-2">
                  {{ distribution.license_id|identifier_to_label('DONL:License') }}
                </span>
              {% endif %}
              {% set distributionPolicyCount = distribution.has_policy|length %}
              {% set datasetPolicyCount = dataset.has_policy|length %}
              {% if distributionPolicyCount > 0 or datasetPolicyCount > 0 %}
                <button class="btn btn-text ml-2 distribution-policy-open-button" type="button" data-toggle="modal" data-target="#distribution-policies-{{ distribution.id }}">
                  <i class="fa-solid fa-scale-unbalanced mr-1"></i>
                  {% if distributionPolicyCount %}
                    {{ '(%datasetPolicyCount) policies | (%distributionPolicyCount) extra policies'|t({'%datasetPolicyCount': datasetPolicyCount,'%distributionPolicyCount': distributionPolicyCount}) }}
                  {% else %}
                    {{ '(%count) policies'|t({'%count': datasetPolicyCount}) }}
                  {% endif %}
                </button>

                <div class="modal fade" id="distribution-policies-{{ distribution.id }}" tabindex="-1" aria-labelledby="distribution-policies-{{ distribution.id }}-label" aria-hidden="true">
                  <div class="modal-dialog modal-dialog-centered modal-xl modal-fullscreen-md-down modal-dialog-scrollable mb-3">
                    <div class="modal-content">
                      <div class="modal-header">
                        <h2 class="modal-title" id="distribution-policies-{{ distribution.id }}-label">{{ 'Request access'|t }}</h2>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                          <span aria-hidden="true">&times;</span>
                        </button>
                      </div>
                      <div class="modal-body">
                        <div class="container-fluid">
                          <div class="row">
                            <div class="col-12 col-md-7 pl-0">
                              <div class="mb-2">
                                <h3 class="modal-distribution-title mt-0 mb-1">{{ distribution.name }}</h3>
                                {% if distribution.description %}
                                  <p class="mb-1">{{ distribution.description }}</p>
                                {% endif %}
                                <span class="badge badge-success mr-2 p-2" itemprop="encodingFormat" data-toggle="tooltip"
                                      data-placement="top" title="{{ 'The fileformat of the distribution'|t }}">
                                  {{ distribution.format|identifier_to_label('MDR:Filetype') }}
                                </span>
                                {% if distribution.rights is not empty %}
                                  <span class="badge badge-info p-2" data-toggle="tooltip" data-placement="top" title="{{ distribution.rights }}">
                                    {{ distribution.license_id|identifier_to_label('DONL:License') }} *
                                  </span>
                                {% else %}
                                  <span class="badge badge-info p-2">
                                    {{ distribution.license_id|identifier_to_label('DONL:License') }}
                                  </span>
                                {% endif %}
                              </div>

                              <b><i class="fa-solid fa-scale-unbalanced mr-1 mt-3"></i> {{ '%count dataset policies for this distribution:'|t({'%count': datasetPolicyCount}) }}</b>
                              {% for policy in dataset.has_policy %}
                                {% set policy_info = policy|identifier_to_policy_info %}
                                {% if policy_info %}
                                  <div class="d-flex align-items-center justify-content-between w-100 mt-2">
                                    <div class="d-flex align-items-center">
                                      <span class="authority badge badge-info p-2 mr-2">
                                        {{ policy_info.authority.authority_label|translate_policy_value }}
                                      </span>
                                      <span>{{ policy_info.policy_info.policy_label|translate_policy_value }}</span>
                                    </div>
                                    <a href="#">
                                      <i class="fa-solid fa-circle-info ml-1 text-info" title="{{ 'Click here for more info'|t }}"></i>
                                    </a>
                                  </div>
                                {% else %}
                                  <span class="d-flex align-items-center justify-content-between w-100 mt-2 text-danger">{{ 'Policy not available'|t }}</span>
                                {% endif %}
                              {% endfor %}
                              {% if distributionPolicyCount %}
                                <b><i class="fa-solid fa-scale-unbalanced mr-1 mt-3"></i> {{ '%count extra policies for this distribution:'|t({'%count': distributionPolicyCount}) }}</b>
                                {% for policy in distribution.has_policy  %}
                                  {% set policy_info = policy|identifier_to_policy_info %}
                                  {% if policy_info %}
                                    <div class="d-flex align-items-center justify-content-between w-100 mt-2">
                                      <div class="d-flex align-items-center">
                                      <span class="authority badge badge-info p-2 mr-2">
                                        {{ policy_info.authority.authority_label|translate_policy_value }}
                                      </span>
                                        <span>{{ policy_info.policy_info.policy_label|translate_policy_value }}</span>
                                      </div>
                                      <a href="#">
                                        <i class="fa-solid fa-circle-info ml-1 text-info" title="{{ 'Click here for more info'|t }}"></i>
                                      </a>
                                    </div>
                                  {% else %}
                                    <span class="d-flex align-items-center justify-content-between w-100 mt-2 text-danger">{{ 'Policy not available'|t }}</span>
                                  {% endif %}
                                {% endfor %}
                              {% endif %}
                              <div class="mt-3">
                                <i>{{ 'Click on the link below to validate the policies and get access to the resource.'|t }}</i>
                              </div>
                            </div>
                            <div class="col-12 col-md-5 policy-requirements-sidebar pr-0">
                              <h3 class="mt-0 mb-3">{{ 'Request access to the data'|t }}</h3>
                              <p>{{ 'Would you like to gain access to this dataset? We will check whether you meet these conditions:'|t }}</p>
                              <div>
                                {% set validationRequirements = distribution.policy_validation_rules %}

                                {% for validation in validationRequirements %}
                                  <div class="d-flex align-items-center justify-content-between w-100 mt-2">
                                    <div class="d-flex align-items-center">
                                      <span class="authority badge badge-info p-2 mr-2">
                                        {{ validation.validation_provider_label|translate_policy_value }}
                                      </span>
                                      <span>{{ validation.validation_action_label|translate_policy_value }}</span>
                                    </div>
                                    <a href="#">
                                      <i class="fa-solid fa-circle-info ml-1 text-info" title="{{ 'Click here for more info'|t }}"></i>
                                    </a>
                                  </div>
                                {% endfor %}
                              </div>

                              <a href="#" class="btn btn-primary text-light mb-1 w-100 m-0 mt-3">{{ 'Get access to this distribution'|t }}</a>
                            </div>
                          </div>
                        </div>
                      </div>
                      <div class="modal-footer flex-column">
                        <a href="#" class="btn btn-secondary text-light mb-1 w-100 m-0">{{ 'Get more information about the policy and the coherence on the AMdEX website.'|t }}</a>
                      </div>
                    </div>
                  </div>
                </div>
              {% else %}
                <button class="btn btn-text ml-2 distribution-policy-open-button no-policies"><i class="fa-solid fa-scale-unbalanced mr-1"></i> {{ 'No policies'|t }}</button>
              {% endif %}
            </div>
          </td>
          <td class="text-center">
            <ul class="list-unstyled">
              <li>
                <a itemprop="contentUrl" href="{{ distribution.url }}" rel="noreferrer noopener" target="_blank"
                   class="font-weight-bold" data-toggle="tooltip" data-placement="top"
                   title="{{ 'Access the data of this distribution'|t }}">
                  {{ 'Access data'|t }}
                  {% if distribution.size is not empty %}
                    (<span itemprop="contentSize">{{ distribution.size }} KB</span>)
                  {% endif %}
                </a>
              </li>
              {% if distribution.documentation is not empty %}
                <li class="mt-2">
                  <a href="{{ distribution.documentation.0 }}" target="_blank" data-toggle="tooltip"
                     itemprop="usageInfo" rel="noreferrer noopener" data-placement="top"
                     title="{{ 'Visit the documentation for this distribution'|t }}">
                    {{ 'View documentation'|t }}
                  </a>
                </li>
              {% endif %}
            </ul>
            {% if show_controls is not empty %}
              {% set route_params = {
                'dataset': dataset_name,
                'resource_id': loop.index0
              } %}
              <ul class="list-unstyled mt-3">
                <li>
                  <a href="{{ path('dexes_dcat.resource.edit', route_params) }}" rel="nofollow"
                     data-toggle="tooltip" data-placement="top" title="{{ 'Edit the metadata of this distribution'|t }}">
                    {{ 'Edit'|t }}
                  </a>
                </li>
                <li>
                  <a href="{{ path('dexes_dcat.resource.delete', route_params) }}" rel="nofollow" class="text-danger"
                     data-toggle="tooltip" data-placement="top" title="{{ 'Delete this distribution'|t }}">
                    {{ 'Delete'|t }}
                  </a>
                </li>
              </ul>
            {% endif %}
          </td>
        </tr>
      {% endfor %}

      {% if show_controls is not empty %}
        <tr>
          <td colspan="2" class="text-center">
            <a href="{{ path('dexes_dcat.resource.add', { 'dataset': dataset_name }) }}"
               class="btn btn-md btn-primary text-light" rel="nofollow" data-toggle="tooltip" data-placement="top"
               title="{{ 'Add a new distribution to this dataset'|t }}">
              {{ 'Add new distribution'|t }}
            </a>
          </td>
        </tr>
      {% endif %}
      </tbody>
    </table>
  </div>
{% endif %}
